<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

if($_POST['id6'] == "0")
	$titulo="No Valido";
if($_POST['id6'] == "1")
	$titulo="Valido Fiscalmente";
if($_POST['id6'] == "2")
	$titulo="Valido por Compras";
if($_POST['id6'] == "3")
	$titulo="Detenido";
if($_POST['id6'] == "4")
	$titulo="Valido por Contabilidad";

	mysqli_query($conexion->CONEXION,"update recibedoce set status_absa='".$_POST['id6']."' where rfcEmisor='".$_POST['id']."' and tipoDocto='".$_POST['id2']."' and serie='".$_POST['id3']."' and folio='".$_POST['id4']."' and uuid='".$_POST['id7']."'");
	
	if(mysqli_errno($conexion->CONEXION) == 0){
		
		mysqli_query($conexion->CONEXION,"insert into log_status set username='".$_SESSION['usuario_p_prov_absa']."', fecha_hora=now(), evento='Status cambio a: $titulo', rfcEmisor='".$_POST['id']."', tipoDoc='".$_POST['id2']."', serie='".$_POST['id3']."', folio='".$_POST['id4']."', uuid='".$_POST['id7']."'");
		
		if(mysqli_errno($conexion->CONEXION) == 0){
	?><script>	
				/*$j_6("#<?=$_POST['id5']?>").attr("src","Imagenes/circulo_<?=$_POST['id6']?>.png");
				$j_6("#<?=$_POST['id5']?>").attr("title","<?=$titulo?>");*/
				$j_6.messager.alert('Informacion','Cambio de status correcto','info');$j_6("#buscarRecibe").click();$j_6("#closeModal").click();</script><?
		}else{
			?><script>	
				/*$j_6("#<?=$_POST['id5']?>").attr("src","Imagenes/circulo_<?=$_POST['id6']?>.png");
				$j_6("#<?=$_POST['id5']?>").attr("title","<?=$titulo?>");*/
				$j_6.messager.alert('Informacion','El status cambio pero no se pudo guardar el historial del cambio','info');$j_6("#buscarRecibe").click();$j_6("#closeModal").click();</script><?
		}
	
	}else{
	?><script>$j_6.messager.alert('Error','Fallo al hacer el cambio. Intente nuevamente','error');</script><?
	}
?>